Bug 245895 - sonypi: spicctrl does nothing on Sony Vaio VGN C2M/W
sonypi: spicctrl does nothing on Sony Vaio VGN C2M/W
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 05:57 EDT by Ian Malone
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: sony-laptop
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 17:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Malone 2007-06-27 05:57:03 EDT
Description of problem:
sonypi doesn't appear to work properly.  spicctrl doesn't
affect brightness and reports no display brightness.
Reporting against kernel as dmesg on startup is complaining
about sonypi.

Version-Release number of selected component (if applicable):
kernel 2.6.21-1.3228.fc7
spicctrl-1.9-5.fc7 (i386)

How reproducible:
100%

Steps to Reproduce:
1. Install spicctrl
2. # spicctrl -B 
   0
   (implies screen off)
3. # spicctrl -b 128 
   (or any other value), does nothing
Actual results:
No effect from set commands.  Get commands don't
return actual status.

Expected results:
Brightness changes, correct value returned by
get brightness.

Additional info:
Machine is Sony VGN C2M/W.  The module is loaded
[ian@prometheus ~]$ ls -lh /dev/sonypi 
crw------- 1 root root 10, 250 2007-06-27 10:22 /dev/sonypi

[ian@prometheus ~]$ /sbin/lsmod | grep sonypi
sonypi                 25053  0 

[ian@prometheus ~]$ dmesg |grep -i sony
ACPI: RSDT 3F6904EB, 0050 (r1   Sony     VAIO 20061219 PTL         0)
ACPI: FACP 3F697C9A, 0084 (r2   Sony     VAIO 20061219 PTL        5A)
ACPI: DSDT 3F691DF7, 5EA3 (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: APIC 3F697D1E, 0068 (r1   Sony     VAIO 20061219 PTL        5A)
ACPI: HPET 3F697D86, 0038 (r1   Sony     VAIO 20061219 PTL        5A)
ACPI: MCFG 3F697DBE, 003C (r1   Sony     VAIO 20061219 PTL        5A)
ACPI: SLIC 3F697DFA, 0176 (r1   Sony     VAIO 20061219 PTL   1000000)
ACPI: APIC 3F697F70, 0068 (r1   Sony     VAIO 20061219 PTL         0)
ACPI: BOOT 3F697FD8, 0028 (r1   Sony     VAIO 20061219 PTL         1)
ACPI: SSDT 3F69161D, 07DA (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: SSDT 3F690B16, 028F (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: SSDT 3F690A75, 00A1 (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: SSDT 3F69053B, 053A (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: SSDT 3F691300, 0240 (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: SSDT 3F690DA5, 04C9 (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: SSDT 3F691540, 00DD (r1   Sony     VAIO 20061219 PTL  20050624)
ACPI: SSDT 3F69126E, 0092 (r1   Sony     VAIO 20061219 PTL  20050624)
sonypi: Sony Programmable I/O Controller Driver v1.26.
sonypi: detected type3 model, verbose = 0, fnkeyinit = off, camera = off, compat
= off, mask = 0xffffffff, useinput = on, acpi = on
sonypi: enabled at irq=11, port1=0x1080, port2=0x1084
input: Sony Vaio Jogdial as /class/input/input6
input: Sony Vaio Keys as /class/input/input7
sonypi command failed at drivers/char/sonypi.c : sonypi_call1 (line 645)
sonypi command failed at drivers/char/sonypi.c : sonypi_call2 (line 656)
sonypi command failed at drivers/char/sonypi.c : sonypi_call2 (line 658)
sonypi command failed at drivers/char/sonypi.c : sonypi_call1 (line 645)
Comment 1 Ian Malone 2007-06-28 08:58:45 EDT
Loading sony_laptop module allows control of display brightness through /sys
interface.  spicctrl behaviour unchanged.
Comment 2 Christopher Brown 2007-09-17 14:34:46 EDT
Hello Ian,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Ian Malone 2007-09-17 17:52:05 EDT
It appears sony-laptop has replaced sonypi
<http://www.linux.it/~malattia/wiki/index.php/Sony-laptop>
<http://www.linux.it/~malattia/wiki/index.php/Sonypi>. As above sony-laptop
works fine and I have the machine loading that module on boot. I'd close but I'm
not sure what the resolution should be.
Comment 4 Christopher Brown 2007-09-17 17:57:07 EDT
Thanks Ian, will close as appropriate so others can see what worked for you.

Note You need to log in before you can comment on or make changes to this bug.